/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      Symbol.bindElementAction(compId, symbolName, "${_button_planet_1}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         // Mostrar un elemento 
         sym.$("pop_1").fadeIn("slow");
         
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.getSymbol("pop_1").play(1);
         
         // Ocultar un elemento 
         sym.$("pop_2").fadeOut("slow");
         sym.$("pop_3").fadeOut("slow");
         sym.$("pop_4").fadeOut("slow");
         sym.$("pop_5").fadeOut("slow");
         sym.$("pop_6").fadeOut("slow");
         sym.$("pop_7").fadeOut("slow");
         sym.$("pop_8").fadeOut("slow");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_button_planet_2}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         // Mostrar un elemento 
         sym.$("pop_2").fadeIn("slow");
         
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.getSymbol("pop_2").play(1);
         
         // Ocultar un elemento 
         sym.$("pop_1").fadeOut("slow");
         sym.$("pop_3").fadeOut("slow");
         sym.$("pop_4").fadeOut("slow");
         sym.$("pop_5").fadeOut("slow");
         sym.$("pop_6").fadeOut("slow");
         sym.$("pop_7").fadeOut("slow");
         sym.$("pop_8").fadeOut("slow");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_button_planet_4}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         // Mostrar un elemento 
         sym.$("pop_4").fadeIn("slow");
         
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.getSymbol("pop_4").play(1);
         
         // Ocultar un elemento 
         sym.$("pop_1").fadeOut("slow");
         sym.$("pop_2").fadeOut("slow");
         sym.$("pop_3").fadeOut("slow");
         sym.$("pop_5").fadeOut("slow");
         sym.$("pop_6").fadeOut("slow");
         sym.$("pop_7").fadeOut("slow");
         sym.$("pop_8").fadeOut("slow");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_button_planet_5}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         // Mostrar un elemento 
         sym.$("pop_5").fadeIn("slow");
         
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.getSymbol("pop_5").play(1);
         
         // Ocultar un elemento 
         sym.$("pop_1").fadeOut("slow");
         sym.$("pop_2").fadeOut("slow");
         sym.$("pop_3").fadeOut("slow");
         sym.$("pop_4").fadeOut("slow");
         sym.$("pop_6").fadeOut("slow");
         sym.$("pop_7").fadeOut("slow");
         sym.$("pop_8").fadeOut("slow");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_button_planet_6}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         // Mostrar un elemento 
         sym.$("pop_6").fadeIn("slow");
         
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.getSymbol("pop_6").play(1);
         
         // Ocultar un elemento 
         sym.$("pop_1").fadeOut("slow");
         sym.$("pop_2").fadeOut("slow");
         sym.$("pop_3").fadeOut("slow");
         sym.$("pop_4").fadeOut("slow");
         sym.$("pop_5").fadeOut("slow");
         sym.$("pop_7").fadeOut("slow");
         sym.$("pop_8").fadeOut("slow");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_button_planet_7}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         // Mostrar un elemento 
         sym.$("pop_7").fadeIn("slow");
         
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.getSymbol("pop_7").play(1);
         
         // Ocultar un elemento 
         sym.$("pop_1").fadeOut("slow");
         sym.$("pop_2").fadeOut("slow");
         sym.$("pop_3").fadeOut("slow");
         sym.$("pop_4").fadeOut("slow");
         sym.$("pop_5").fadeOut("slow");
         sym.$("pop_6").fadeOut("slow");
         sym.$("pop_8").fadeOut("slow");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_button_planet_8}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         // Mostrar un elemento 
         sym.$("pop_8").fadeIn("slow");
         
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.getSymbol("pop_8").play(1);
         
         // Ocultar un elemento 
         sym.$("pop_1").fadeOut("slow");
         sym.$("pop_2").fadeOut("slow");
         sym.$("pop_3").fadeOut("slow");
         sym.$("pop_4").fadeOut("slow");
         sym.$("pop_5").fadeOut("slow");
         sym.$("pop_6").fadeOut("slow");
         sym.$("pop_7").fadeOut("slow");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_button_planet_3}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         // Mostrar un elemento 
         sym.$("pop_3").fadeIn("slow");
         
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.getSymbol("pop_3").play(1);
         
         // Ocultar un elemento 
         sym.$("pop_1").fadeOut("slow");
         sym.$("pop_2").fadeOut("slow");
         sym.$("pop_4").fadeOut("slow");
         sym.$("pop_5").fadeOut("slow");
         sym.$("pop_6").fadeOut("slow");
         sym.$("pop_7").fadeOut("slow");
         sym.$("pop_8").fadeOut("slow");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_IL_S_G03_U01_L05_03_03_01_text_info}", "click", function(sym, e) {
         // Ocultar un elemento 
         sym.$("pop_1").fadeOut("slow");
         sym.$("pop_2").fadeOut("slow");
         sym.$("pop_3").fadeOut("slow");
         sym.$("pop_4").fadeOut("slow");
         sym.$("pop_5").fadeOut("slow");
         sym.$("pop_6").fadeOut("slow");
         sym.$("pop_7").fadeOut("slow");
         sym.$("pop_8").fadeOut("slow");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_button_close}", "click", function(sym, e) {
         
         // Ocultar un elemento 
         sym.$("button_close").fadeOut("slow");
         
         
         // Ocultar un elemento 
         sym.$("pop_1").fadeOut("slow");
         sym.$("pop_2").fadeOut("slow");
         sym.$("pop_3").fadeOut("slow");
         sym.$("pop_4").fadeOut("slow");
         sym.$("pop_5").fadeOut("slow");
         sym.$("pop_6").fadeOut("slow");
         sym.$("pop_7").fadeOut("slow");
         sym.$("pop_8").fadeOut("slow");

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'flecha_bt'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("flecha_bt");
   //Edge symbol end:'flecha_bt'

   //=========================================================

   //=========================================================

   //=========================================================
   
   //Edge symbol: 'bt_audio'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_ht_spot}", "click", function(sym, e) {
         var soundId = sym.getSymbolElement().attr( "title" );
         var currentAudio=sym.getComposition().getStage().$(soundId)[0].currentTime;
         var duracion= sym.getComposition().getStage().$(soundId).duration;
         console.log("soundId="+soundId);
         if (duracion== currentAudio){
         sym.stop("up");
         }
         
         sym.getComposition().getStage().$(soundId).on('ended', function() {
         sym.stop("up");
            // enable button/link
         });
         
         console.log("currentAudio="+currentAudio);
         console.log("duracion="+duracion);
         // Definir un conmutador para reproducir o pausar una pista de audio 
         if (sym.getComposition().getStage().$(soundId)[0].paused) {
         	sym.getComposition().getStage().$(soundId)[0].play();
         	sym.getComposition().getStage().$(soundId)[0].volume=0.7;
         	sym.stop("down");
         
         } else {
         //activar para pausar en vez de reiniciar
         	sym.getComposition().getStage().$(soundId)[0].pause();
         	sym.stop("up");
         }

      });
      //Edge binding end

      

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      

   })("bt_audio");
   //Edge symbol end:'bt_audio'

   //=========================================================
   
   //Edge symbol: 'Background_space'
   (function(symbolName) {   
   
   })("Background_space");
   //Edge symbol end:'Background_space'

   //=========================================================
   
   //Edge symbol: 'Stars_B'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 6000, function(sym, e) {
         sym.playReverse();

      });
      //Edge binding end

   })("Stars_B");
   //Edge symbol end:'Stars_B'

   //=========================================================
   
   //Edge symbol: 'Stars_A'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 16002, function(sym, e) {
         sym.playReverse();

      });
      //Edge binding end

   })("Stars_A");
   //Edge symbol end:'Stars_A'

   //=========================================================
   
   //Edge symbol: 'boy_astronaut'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1335, function(sym, e) {
         sym.play("fly");

      });
      //Edge binding end

   })("boy_astronaut");
   //Edge symbol end:'boy_astronaut'

   //=========================================================
   
   //Edge symbol: 'pop_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 790, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("pop_1");
   //Edge symbol end:'pop_1'

   //=========================================================
   
   //Edge symbol: 'pop_2'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 790, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      })("pop_2");
   //Edge symbol end:'pop_2'

   //=========================================================
   
   //Edge symbol: 'pop_3'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 790, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      })("pop_3");
   //Edge symbol end:'pop_3'

   //=========================================================
   
   //Edge symbol: 'pop_4'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 790, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      })("pop_4");
   //Edge symbol end:'pop_4'

   //=========================================================
   
   //Edge symbol: 'pop_5'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 790, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      })("pop_5");
   //Edge symbol end:'pop_5'

   //=========================================================
   
   //Edge symbol: 'pop_6'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 790, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      })("pop_6");
   //Edge symbol end:'pop_6'

   //=========================================================
   
   //Edge symbol: 'pop_7'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 790, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      })("pop_7");
   //Edge symbol end:'pop_7'

   //=========================================================
   
   //Edge symbol: 'pop_8'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 790, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      })("pop_8");
   //Edge symbol end:'pop_8'

   //=========================================================
   
   //Edge symbol: 'sun'
   (function(symbolName) {   
   
   })("sun");
   //Edge symbol end:'sun'

   //=========================================================
   
   //Edge symbol: 'sun_motion'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 110000, function(sym, e) {
         sym.play("motion");

      });
      //Edge binding end

   })("sun_motion");
   //Edge symbol end:'sun_motion'

})(jQuery, AdobeEdge, "EDGE-94063035");